package ru.yandex.wmconsole.viewer.api;

import java.net.URI;

import org.jetbrains.annotations.Nullable;

/**
 * @author aherman
 */
public class ApiLink {
    private final URI uri;

    @Nullable
    private final ApiLinkType apiLinkType;

    public ApiLink(URI uri, @Nullable ApiLinkType apiLinkType) {
        this.uri = uri;
        this.apiLinkType = apiLinkType;
    }

    public URI getUri() {
        return uri;
    }

    public ApiLinkType getApiLinkType() {
        return apiLinkType;
    }
}
